Bug 464006 - upgrade to quodlibet 2.0
Summary: upgrade to quodlibet 2.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quodlibet
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-25 20:23 UTC by Jack Tanner
Modified: 2009-07-27 21:28 UTC (History)
3 users (show)

Fixed In Version: 2.1-1.fc11
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-27 21:28:08 UTC


Attachments (Terms of Use)
Patch for quodlibet.spec for Quod Libet 2.0 support (4.88 KB, text/plain)
2009-06-21 08:33 UTC, Andrew Nayenko
no flags Details
Patch from Quod Libet upstream for Python 2.6 support (760 bytes, text/plain)
2009-06-21 08:33 UTC, Andrew Nayenko
no flags Details
Patch for dl-quodlibet-plugins.sh for Quod Libet 2.0 support (358 bytes, text/plain)
2009-06-21 08:35 UTC, Andrew Nayenko
no flags Details
Patch for spec-file for Quod Libet 2.1 support (4.67 KB, text/plain)
2009-07-05 11:30 UTC, Andrew Nayenko
no flags Details
quodlibet-get-plugins.sh -- new plugins download script (1.01 KB, text/plain)
2009-07-05 11:34 UTC, Andrew Nayenko
no flags Details

Description Jack Tanner 2008-09-25 20:23:12 UTC
Description of problem:

Rawhide and all earlier Fedoras are on quodlibet-1.0; v2.0 is out.

Comment 1 Jack Tanner 2008-10-15 16:21:16 UTC
Ping? New quodlibet: http://code.google.com/p/quodlibet/

Comment 2 Jeffrey C. Ollie 2008-10-15 16:48:53 UTC
I've tried a simple update version number and rebuild but that didn't work...  I haven't had the time yet to go back and figure out what other spec file changes I need to get the package building.

Comment 3 Andrew Nayenko 2009-06-21 08:33:05 UTC
Created attachment 348777 [details]
Patch for quodlibet.spec for Quod Libet 2.0 support

I've made needed changes in spec-file for Quod Libet 2.0:
- Changed version and release.
- Fixed URLs (the project moved to Google Code hosting).
- Removed libgpod patch (the issue with it was fixed in mainline).
- Added patch for Python 2.6 support (from Quod Libet upstream).
- Fixed dependencies versions (according to Quod Libet README).
- Fixed path for plugins (now they live in /usr/lib/python2.6/site-packages/quodlibet/plugins).
- Removed instructions for building mmkeys (not sure, but they seem to be unneeded anymore).
- Fixed building command (now setup.py is used instead of make).
- Fixed *.desktop-files processing.

TODO: add record to the changelog (not sure what to write there).

Tested on Fedora 11 x86_64.

Comment 4 Andrew Nayenko 2009-06-21 08:33:51 UTC
Created attachment 348778 [details]
Patch from Quod Libet upstream for Python 2.6 support

Comment 5 Andrew Nayenko 2009-06-21 08:35:15 UTC
Created attachment 348779 [details]
Patch for dl-quodlibet-plugins.sh for Quod Libet 2.0 support

And the third (trivial) patch. Updated plugins revision.

I hope my patches will help you. Thanks in advance.

Comment 6 Andrew Nayenko 2009-07-05 11:30:55 UTC
Created attachment 350529 [details]
Patch for spec-file for Quod Libet 2.1 support

Yesterday Quod Libet 2.1 has been released: http://code.google.com/p/quodlibet/downloads/list

I've modified the patch for spec-file to support it. Patch for Python 2.6 support is not needed anymore (it's in mainline). I've also created a new script that downloads and packs plugins because Quod Libet has completely moved to Mercurial and previous dl-quodlibet-plugins.sh is not actual anymore.

Tested on Fedora 11 x86_64.

Comment 7 Andrew Nayenko 2009-07-05 11:34:10 UTC
Created attachment 350530 [details]
quodlibet-get-plugins.sh -- new plugins download script

This script replaces dl-quodlibet-plugins.sh. It downloads and packs Quod Libet plugins from Mercurial repository. Output package has the same name and structure.

Comment 8 Fedora Update System 2009-07-06 20:02:25 UTC
quodlibet-2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/quodlibet-2.1-1.fc11

Comment 9 Fedora Update System 2009-07-11 17:01:32 UTC
quodlibet-2.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update quodlibet'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7439

Comment 10 Fedora Update System 2009-07-27 21:28:03 UTC
quodlibet-2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.